### Property

# FwupdPlugin Device:backend

since: 2.0.0

#### Declaration

    property backend: FwupdPlugin.Backend [ read, write, construct ]

#### Description [src]

The `FuBackend` that created the device.

Type:`FuBackend`

Available since: 2.0.0

Getter method | `fu_device_get_backend()`
Setter method | `fu_device_set_backend()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no